Summary:	A Pluggable Authentication Module for Kerberos 5
Name:		pam_krb5
Version:	2.4.13
Release:	%mkrel 3
License:	LGPL
Group:		System/Libraries
URL:		https://fedorahosted.org/pam_krb5/
Source0:	https://fedorahosted.org/releases/p/a/pam_krb5/%{name}-%{version}.tar.gz
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pam-devel
BuildRequires:	keyutils-devel
BuildRequires:	gettext-devel

%description 
This is pam_krb5, a pluggable authentication module that can be used with
Linux-PAM and Kerberos 5. This module supports password checking, ticket
creation, and optional TGT verification and conversion to Kerberos IV tickets.
The included pam_krb5afs module also gets AFS tokens if so configured.

%prep
%setup -q

%build
autoreconf -fi
%configure \
    --without-krb4 \
    --with-os-distribution="%_vendor"

%__make

%install
%make_install mandir=%{_mandir}

ln -s pam_krb5.so %{buildroot}%{_libdir}/security/pam_krb5afs.so

# cleanup
rm -f %{buildroot}%{_libdir}/security/*.la

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README* COPYING ChangeLog NEWS TODO
%{_libdir}/security/*
%{_bindir}/afs5log
%{_mandir}/man1/afs5log.1*
%{_mandir}/man5/*
%{_mandir}/man8/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.4.13-3.mga8
+ Revision: 1515824
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.4.13-2.mga7
+ Revision: 1300093
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fix make commands

* Mon May 09 2016 luigiwalser <luigiwalser> 2.4.13-1.mga6
+ Revision: 1011802
- 2.4.13

* Mon Jan 25 2016 luigiwalser <luigiwalser> 2.4.12-1.mga6
+ Revision: 927179
- 2.4.12

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.4.11-1.mga6
+ Revision: 917575
- 2.4.11

* Wed Oct 15 2014 umeabot <umeabot> 2.4.9-3.mga5
+ Revision: 739215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.9-2.mga5
+ Revision: 683318
- Mageia 5 Mass Rebuild

* Sun Mar 09 2014 luigiwalser <luigiwalser> 2.4.9-1.mga5
+ Revision: 601482
- 2.4.9

* Mon Oct 21 2013 umeabot <umeabot> 2.4.8-2.mga4
+ Revision: 539313
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 luigiwalser <luigiwalser> 2.4.8-1.mga4
+ Revision: 491952
- 2.4.8

* Fri Sep 13 2013 luigiwalser <luigiwalser> 2.4.7-1.mga4
+ Revision: 478579
- 2.4.7

* Thu Aug 22 2013 luigiwalser <luigiwalser> 2.4.6-1.mga4
+ Revision: 469781
- 2.4.6

* Sun Jun 23 2013 luigiwalser <luigiwalser> 2.4.5-1.mga4
+ Revision: 446019
- 2.4.5
- remove upstreamed patch

* Mon Feb 11 2013 fwang <fwang> 2.4.1-2.mga3
+ Revision: 397840
- br gettext
- use autoreconf
- more correct define
- add upstream patch to redefine trace
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 guillomovitch <guillomovitch> 2.4.1-1.mga3
+ Revision: 336082
- new version

* Fri Aug 19 2011 guillomovitch <guillomovitch> 2.3.13-1.mga2
+ Revision: 134385
- new version

* Tue Mar 08 2011 ennael <ennael> 2.3.11-1.mga1
+ Revision: 66422
- imported package pam_krb5


* Sat Aug 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.11-1mdv2011.0
+ Revision: 567284
- update to new version 2.3.11

* Wed Jan 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.10-1mdv2010.1
+ Revision: 490708
- new version

* Wed Jul 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.7-1mdv2010.0
+ Revision: 393704
- new version

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.6-1mdv2010.0
+ Revision: 387896
- new version

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.4-1mdv2009.1
+ Revision: 353927
- new version

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.3-1mdv2009.1
+ Revision: 340565
- new release

* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.2-1mdv2009.1
+ Revision: 332871
- new version

* Fri Jul 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.1-4mdv2009.0
+ Revision: 248716
- new version

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-4mdv2009.0
+ Revision: 232945
- added P0 to fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2.2.11-2mdv2008.1
+ Revision: 130995
- kill re-definition of %%buildroot on Pixel's request


* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.11-2mdv2007.0
+ Revision: 88754
- bump release
- add one more README file to %%doc
- updated to version 2.2.11
- added distro name
- Import pam_krb5

* Fri Apr 28 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.8-1mdk
- updated to version 2.2.8-1

* Thu Mar 23 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.7-1mdk
- updated to version 2.2.7-1

* Thu Mar 16 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.6-1mdk
- updated to version 2.2.6-2
- dropped stdio patch
- added new files (afs5log and its manpage)

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-4mdk
- remove the libkrbafs-devel deps

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 2.1.2-3mdk
- rebuild without krb4 support
- added stdio patch to include <stdio.h>

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.2-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Mon Nov 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.2-1mdk
- 2.1.2

* Mon Aug 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1
- misc spec file fixes

* Tue May 11 2004 Florin <florin@mandrakesoft.com> 2.0.10-1mdk
- 2.0.10-1
- remove useless patches
- add the pam_krb5_storetmp new file

* Tue Mar 09 2004 Florin <florin@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5-3

